SDCDB(1)

NAME
sdcdb - Source debugger for SDCC

SYNOPSIS
sdcdb [options] filename

WARNING
The information in this man page is an extract from the full documentation of SDCC, and is limited to the meaning of the options.

For complete and current documentation, refer to the SDCC Compiler User Guide.

DESCRIPTION
sdcdb is a source debugger for SDCC . It uses ucSim to execute the program, the program execution is controlled by the debugger.

The command interface for the debugger has been deliberately kept as close the GNU debugger gdb, as possible. This will help the integration with existing graphical user interfaces (like ddd, xxgdb or xemacs) existing for the GNU debugger.

STARTING THE DEBUGGER
The debugger can be started using the following command line (Assume the file you are debugging has the file name foo):

sdcdb foo

The debugger will look for the following files:

foo.c   - the source file.
foo.cdb - the debugger symbol information file.
foo.ihx - the intel hex format object file.

OPTIONS

-directory=<source file directory>
    This option can used to specify the directory search list. The debugger will look into the directory list specified for source, cdb & ihx files. The items in the directory list must be separated by ':', e.g. if the source files can be in the directories /home/src1 and /home/src2, the -directory option should be -directory=/home/src1:/home/src2 . Note there can be no spaces in the option.

-cd <directory>
    Change to the <directory>.

-fullname
    Used by GUI front ends.

-cpu <cpu-type>
    This argument is passed to the simulator. Please see the simulator docs for details.

-X <Clock frequency>
    This option is passed to the simulator. Please see the simulator docs for details.

-s <serial port file>
    This option is passed to simulator. Please see the simulator docs for details.

-S <serial in,out>
    This argument is passed to simulator. Please see the simulator docs for details.

COPYING
The entire source code for the debugger is distributed under GNU General Public License.

SEE ALSO
sdcc(1), ucsim(1)

AUTHOR
This manual page was written by Aurelien Jarno <aurel32@debian.org>, for the Debian GNU/Linux system (but may be used by others).